=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-01-05 07:43:57 +0000
+++ drizzled/sql_lex.cc	2011-01-05 23:10:50 +0000
@@ -265,6 +265,7 @@
   lex->nest_level=0 ;
   lex->allow_sum_func= 0;
   lex->in_sum_func= NULL;
+  lex->type= 0;
 
   lex->is_lex_started= true;
   lex->statement= NULL;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-01-05 07:43:57 +0000
+++ drizzled/sql_yacc.yy	2011-01-05 23:10:50 +0000
@@ -469,7 +469,6 @@
 %token  CONSISTENT_SYM
 %token  CONSTRAINT                    /* SQL-2003-R */
 %token  CONTAINS_SYM                  /* SQL-2003-N */
-%token  CONTINUE_SYM                  /* SQL-2003-R */
 %token  CONVERT_SYM                   /* SQL-2003-N */
 %token  COUNT_SYM                     /* SQL-2003-N */
 %token  CREATE                        /* SQL-2003-R */
@@ -530,7 +529,6 @@
 %token  EXTENDED_SYM
 %token  EXTRACT_SYM                   /* SQL-2003-N */
 %token  FALSE_SYM                     /* SQL-2003-R */
-%token  FETCH_SYM                     /* SQL-2003-R */
 %token  COLUMN_FORMAT_SYM
 %token  FILE_SYM
 %token  FIRST_SYM                     /* SQL-2003-N */
@@ -594,7 +592,6 @@
 %token  LIST_SYM
 %token  LOAD
 %token  LOCAL_SYM                     /* SQL-2003-R */
-%token  LOCATOR_SYM                   /* SQL-2003-N */
 %token  LOCKS_SYM
 %token  LOCK_SYM
 %token  LOGS_SYM
@@ -5405,10 +5402,6 @@
             {
               Lex->type= ONLY_KILL_QUERY;
             }
-            else
-            {
-              Lex->type= 0;
-            }
 
             Lex->value_list.empty();
             Lex->value_list.push_front($3);

=== modified file 'drizzled/symbol_hash.gperf'
--- drizzled/symbol_hash.gperf	2011-01-05 07:43:57 +0000
+++ drizzled/symbol_hash.gperf	2011-01-05 23:10:50 +0000
@@ -50,6 +50,7 @@
 >, GT_SYM
 >=, GE
 <=>, EQUAL_SYM
+# Access likes this
 ACTION, ACTION
 ADD, ADD
 AFTER, AFTER_SYM
@@ -94,6 +95,7 @@
 COLLATION, COLLATION_SYM
 COLUMN, COLUMN_SYM
 COLUMNS, COLUMNS
+COLUMN_FORMAT, COLUMN_FORMAT_SYM
 COMMENT, COMMENT_SYM
 COMMIT, COMMIT_SYM
 COMMITTED, COMMITTED_SYM
@@ -105,7 +107,6 @@
 CONSISTENT, CONSISTENT_SYM
 CONSTRAINT, CONSTRAINT
 CONTAINS, CONTAINS_SYM
-CONTINUE, CONTINUE_SYM
 CONVERT, CONVERT_SYM
 CREATE, CREATE
 CROSS, CROSS
@@ -137,7 +138,6 @@
 DISABLE, DISABLE_SYM
 DISCARD, DISCARD
 DISTINCT, DISTINCT
-# Access likes this
 DISTINCTROW, DISTINCT
 DIV, DIV_SYM
 DO, DO_SYM
@@ -163,8 +163,6 @@
 EXPLAIN, DESCRIBE
 EXTENDED, EXTENDED_SYM
 FALSE, FALSE_SYM
-FETCH, FETCH_SYM
-COLUMN_FORMAT, COLUMN_FORMAT_SYM
 FIELDS, COLUMNS
 FILE, FILE_SYM
 FIRST, FIRST_SYM
@@ -232,9 +230,9 @@
 LONGBLOB, BLOB_SYM
 LONGTEXT, TEXT_SYM
 MATCH, MATCH
+MAXVALUE, MAX_VALUE_SYM
 MAX_ROWS, MAX_ROWS
 MAX_SIZE, MAX_SIZE_SYM
-MAXVALUE, MAX_VALUE_SYM
 MEDIUM, MEDIUM_SYM
 MEDIUMBLOB, BLOB_SYM
 MEDIUMTEXT, TEXT_SYM
@@ -286,18 +284,18 @@
 QUERY, QUERY_SYM
 RANGE, RANGE_SYM
 READ, READ_SYM
+READS, READS_SYM
 READ_ONLY, READ_ONLY_SYM
 READ_WRITE, READ_WRITE_SYM
-READS, READS_SYM
 REAL, REAL
 REDUNDANT, REDUNDANT_SYM
 REFERENCES, REFERENCES
 REGEXP, REGEXP_SYM
 RELEASE, RELEASE_SYM
 RENAME, RENAME
+REPEAT, REPEAT_SYM
 REPEATABLE, REPEATABLE_SYM
 REPLACE, REPLACE
-REPEAT, REPEAT_SYM
 RESTRICT, RESTRICT
 RETURN, RETURN_SYM
 RETURNS, RETURNS_SYM
@@ -322,14 +320,13 @@
 SEPARATOR, SEPARATOR_SYM
 SERIAL, SERIAL_SYM
 SERIALIZABLE, SERIALIZABLE_SYM
+SERVER, SERVER_SYM
 SESSION, SESSION_SYM
-SERVER, SERVER_SYM
 SET, SET
 SHARE, SHARE_SYM
 SHOW, SHOW
 SIGNED, SIGNED_SYM
 SIMPLE, SIMPLE_SYM
-SIGNED, SIGNED_SYM
 SNAPSHOT, SNAPSHOT_SYM
 SOME, ANY_SYM
 SPECIFIC, SPECIFIC_SYM
@@ -341,14 +338,14 @@
 SQL_BUFFER_RESULT, SQL_BUFFER_RESULT
 SQL_CALC_FOUND_ROWS, SQL_CALC_FOUND_ROWS
 SQL_SMALL_RESULT, SQL_SMALL_RESULT
+SQL_TSI_DAY, DAY_SYM
 SQL_TSI_FRAC_SECOND, FRAC_SECOND_SYM
-SQL_TSI_SECOND, SECOND_SYM
+SQL_TSI_HOUR, HOUR_SYM
 SQL_TSI_MINUTE, MINUTE_SYM
-SQL_TSI_HOUR, HOUR_SYM
-SQL_TSI_DAY, DAY_SYM
-SQL_TSI_WEEK, WEEK_SYM
 SQL_TSI_MONTH, MONTH_SYM
 SQL_TSI_QUARTER, QUARTER_SYM
+SQL_TSI_SECOND, SECOND_SYM
+SQL_TSI_WEEK, WEEK_SYM
 SQL_TSI_YEAR, YEAR_SYM
 START, START_SYM
 STARTING, STARTING
@@ -382,8 +379,8 @@
 TYPE, TYPE_SYM
 TYPES, TYPES_SYM
 UNCOMMITTED, UNCOMMITTED_SYM
+UNDO, UNDO_SYM
 UNDOFILE, UNDOFILE_SYM
-UNDO, UNDO_SYM
 UNION, UNION_SYM
 UNIQUE, UNIQUE_SYM
 UNKNOWN, UNKNOWN_SYM
@@ -395,8 +392,8 @@
 USER, USER
 USING, USING
 UTC_DATE, UTC_DATE_SYM
+UTC_TIMESTAMP, UTC_TIMESTAMP_SYM
 UUID, UUID_SYM
-UTC_TIMESTAMP, UTC_TIMESTAMP_SYM
 VALUE, VALUE_SYM
 VALUES, VALUES
 VARBINARY, VARBINARY
@@ -404,8 +401,8 @@
 VARCHARACTER, VARCHAR_SYM
 VARIABLES, VARIABLES
 VARYING, VARYING
+WAIT, WAIT_SYM
 WARNINGS, WARNINGS
-WAIT, WAIT_SYM
 WEEK, WEEK_SYM
 WHEN, WHEN_SYM
 WHERE, WHERE

